[EaseMob callManager]: unrecognized selector sent to instance 0x7f971bdd59e0 菜鸟求大神指点

已邀请:

donghai

赞同来自:

用libEaseMobClientSDKLite.a包的(也就是没有实时通话功能的) 就将实时通话的协议,代理注释掉就可以了,或者换成libEaseMobClientSDK.a包    pod的也是一个道理
报错原因是:用的没有实时通话功能的.a包  环信的类中却有实时通话的协议 代理
协议:EMCallManagerDelegate
代理:[[EaseMob sharedInstance].callManager removeDelegate:self];
           [[EaseMob sharedInstance].callManager addDelegate:self delegateQueue:nil];    到demo中 搜索

zc476977819 - 90后IT男

赞同来自: fat1

自己回复吧  只留 sdk.a

vici

赞同来自:

菜鸟求问   遇到了同样的错误   该怎么解决呢??   没看懂的你的回答

荏苒少年 - 分享和学习是一种态度!

赞同来自:

我用Pods将原来的EaseMobSDK包跟新成了EaseMobSDKFull包,然后运行就OK了!希望可以帮到你!
 

vici

赞同来自:

我也屈服了...换了SDK 但是这个体积要大不少

荏苒少年 - 分享和学习是一种态度!

赞同来自:

上一个SDK是没有语音的

要回复问题请先登录注册

知识价值的认可,源自您的赞赏

扫描二维码,你的支付将由imGeek代收后转给对方

×